Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_string_append_unichar()

Warning

Deprecated since version 1.29.0.

## Synopsis

    void
    bson_string_append_unichar (bson_string_t *string, bson_unichar_t unichar);

## Parameters

- `string`: A bson_string_t.

- `unichar`: A bson_unichar_t.

## Description

Appends a unicode character to string. The character will be encoded into its multi-byte UTF-8 representation.

Warning

The length of the resulting string (including the `NULL` terminator) MUST NOT exceed `UINT32_MAX`.